<template>
  <div
    v-if="habitId != null"
    class="habit__header"
    style="justify-content: start !important;"
  >
    <vs-navbar class="p-4 flex navbar-custom" color="white" type="flat">
      <div
        class="relative flex mr-4 "
        style="justify-content: start !important;"
      >
        <feather-icon
          icon="MenuIcon"
          class="mr-4 cursor-pointer"
          v-if="isSidebarCollapsed"
          @click.stop="$emit('openContactsSidebar')"
        />
      </div>
    </vs-navbar>
  </div>
</template>

<script>
export default {
  props: {
    habitId: {
      type: String,
      required: true
    },
    isSidebarCollapsed: {
      type: Boolean,
      required: true
    }
  }
};
</script>

<style lang="scss">
.habit__header {
  .vs-con-items {
    justify-content: start !important;
  }
}
</style>
